#standard equipment type config file
#    
#     Rectifier Group
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: General Sampler
#               Relevant Equipment List: Power System,Battery Group,AC Distribution Group	
# 
# 

#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID	Group Type Flag		Type Name		Type Name Resource ID
200		1			Rectifier Group		1

#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
13

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression		Value Range			Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
1		Total current				2			A		-1				-3			F			1			5			NA				0.0/20000.0			W				NA			5			.1                  	NA                                                      
2		Average voltage				3			V		-1				-3			F			1			5			NA				0.0/65.0			W				NA			4			.1			NA
3		Used capacity				4			%		-1				-3			F			NA			NA			NA				0/150				W				NA			6			.1			NA
4		Max used capacity			5			%		-1				-3			F			NA			NA			NA				0/150				W				NA			7			.1			NA
5		Min used capacity			6			%		-1				-3			F			NA			NA			NA				0/150				W				NA			8			.1			NA
6		Communicating Rectifiers		7			NA		-1				-3			U			NA			NA			NA				0/120				W				NA			2			NA			NA
7		AC On and Communicating Num		8			NA		-1				-3			U			NA			NA			NA				NA				W				NA			3			NA			NA
8		Number of rectifiers			9			NA		1				50			U			NA			NA			NA				0/120				W				NA			1			NA			NA
10		Multi-rect failure status		11			NA		-1				-3			E			NA			NA			NA				[ID36=Normal]/[ID37=Failure]	NA				NA			10			NA			NA
11		Rectifier lost status			82			NA		-1				-3			E			NA			NA			NA				[ID36=Normal]/[ID37=Failure]	NA				NA			11			NA			NA
21		Rated Voltage(internal use)		112			V		1				51			F			NA			NA			NA				NA				NA				NA			29			.1			NA
22		Rated Current				103			A		1				52			F			NA			NA			NA				NA				W				NA			22			.1			NA
23		Rect Redunt Active(Energy Saving CHN)	89			NA		-1				-3			E			NA			NA			NA				[ID105=No]/[ID106=Yes]/[ID118=Drying]		NA		NA			23			NA			NA
24		AC phases				93			NA		1				60			E			NA			NA			NA				[ID94=Single phase]/[ID95=Three phases]		W		NA			24			NA			NA
25		Rectifier Power type			97			NA		1				59			E			NA			NA			NA				[ID97=Double]/[ID98=Single]/[ID99=Small]	NA		NA			25			NA			NA
26		All Rectifiers No Response		104			NA		1				62			E			NA			NA			NA				[ID36=Normal]/[ID37=Failure]	W				NA			26			NA			NA
28		Rect Redunt Oscillation			108			NA		-1				-3			E			NA			NA			NA				[ID105=No]/[ID106=Yes]		NA				NA			28			NA			NA
29		Rated Voltage				102			V		-1				-2			F			NA			NA			[0,0,21]			NA				W				NA			21			.1			NA
30		RectInfo Changed			11			NA		-1				-3			U			NA			NA			NA				0/1				NA				NA			3			NA			NA	
31		Total Rated Curr of Work On Rect	122			A		-1				-3			F			NA			NA			NA				NA				NA				NA			99			.1			NA
32		System Current Limit Point		135			A		-1				-3			F			NA			NA			NA				NA				NA				NA			98			.1			NA
33		System Current Limit Value		137			A		-1				-3			F			NA			NA			NA				NA				NA				NA			97			.1			NA
34		Minimize Current Limit Value		139			A		-1				-3			F			NA			NA			NA				NA				NA				NA			97			.1			NA
35		All Rectifiers Rate Current		103			A		-1				-3			F			NA			NA			NA				NA				NA				NA			97			NA			NA
36		Number of rectifiers(for EEM)		9			NA		-1				-3			U			NA			NA			NA				0/1000				NA				NA			1			NA			NA
37		CAN Time for 1 circle			9			s		1				21			U			NA			NA			NA				NA				NA				NA			12			NA			NA
38		Total Output Power			146			W		-1				-2			F			NA			NA			[0,0,1]*[0,0,2]			NA				NA				NA			3			.1			NA
#changed by Frank Wu,26/28,20140217, for upgrading software of rectifier 
39		UpLoad OK Number			152			NA		-1				-3			F			NA			NA			NA				NA				W/L				NA			97			NA			NA
40		UpLoad State				153			NA		-1				-3			E			NA			NA			NA				[ID126=None]/[ID154=Updating]/[ID155=OK]/[ID156=Fail]/[ID157=ForceOK]/[ID158=ForceFail]/[ID159=Timeout]/[ID160=FileErr]				W/L				NA			98			NA			NA
#//changed by Frank Wu,20140915,1/N/N, for Adding converter and rectifier total current and voltage to the local display
41		LCD DispExp ID=(1,2)(internal use)		1			NA		-1				-3			U			NA			NA			NA				NA				NA				NA			888			NA			[1,2,451]==0 & [1,2,446]<2


100		Existence State				143			NA		-1				-2			E			NA			NA			[1,2,451]				[ID144=Existent]/[ID145=Not Existent]	NA			NA			39			NA			NA



#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
7

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range			Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression							On Control Action	Disp Exp
1		Current limit control			12			%		1				NA			F			0/121				W/L				W/L				[1,2,7]&!([2,0,25]==3)		O			12			.0			50			1		NA		[0,ID46=Control current limit]/[100,ID47=Control to full capability]	NA			NA
2		DC voltage control			13			V		1				-3			F			42/58.5				W/L				W/L				[1,2,7]&!([2,0,25]==3)		O			11			.1			51			0.1		NA		NA									NA			[1,2,224]==0
12		DC voltage control(24V)			111			V		1				NA			F			21/29				W/L				W/L				[1,2,7]&!([2,0,25]==3)		O			11			.1			51			0.1		NA		NA									NA			[1,2,224]==1
3		All DC On/Off Control			14			NA		1				NA			E			[ID39=Open]/[ID38=Close]	W/L				W/L				NA				O			13			NA			52			NA		NA		NA									NA			NA
4		All AC On/Off Control			15			NA		1				NA			E			[ID39=Open]/[ID38=Close]	W/L				W/L				NA				O			14			NA			53			NA		NA		NA									NA			NA
5		All LED Control  			16			NA		1				NA			E			[ID43=Clear]/[ID42=Flash]	W/L				W/L				NA				O			15			NA			63			NA		NA		NA									NA			NA
6		Fan full speed control 			17			NA		1				NA			E			[ID45=Half]/[ID44=Full]		W/L				W/L				NA				O			16			NA			60			NA		NA		NA									NA			NA
8		Reset rectifier lost alarm		84			NA		-1				NA			E			[ID74=Yes]			W/L				W/L				1				O			18			NA			-3			NA		NA		NA									[0,2,18]=0		NA
10		E-Stop Function				92			NA		1				NA			E			[ID39=Open]/[ID38=Close]	NA				W/L				NA				O			20			NA			61			NA		NA		NA									NA			NA
11		Reset Redundency Oscillated		109			NA		-1				NA			E			[ID85=Reset]			W/L				W/L				1				O			18			NA			-3			NA		NA		NA									[0,0,28]=0		NA
13		Confirm rectifier Postion(Display)	86			NA		1				NA			E			[ID74=Yes]			W/L				W/L				1				O			16			NA			-3			1		NA		NA									[0,2,21]=1		NA
14		Clear rect comm failure alarm		119			NA		1				-3			E			[ID74=Yes]			W/L				W/L				1				O			21			NA			66			NA		NA		NA									[0,2,18]=101		NA
15		Reset rectifier lost alarm(for EEM)	84			NA		-1				-4			E			[ID105=No]/[ID85=Reset]		NA				NA				1				O			18			NA			-3			NA		NA		NA									[0,2,18]=0		NA
16		Clear rect comm failure alarm(for EEM)	119			NA		-1				-4			E			[ID105=No]/[ID85=Reset]		NA				NA				1				O			18			NA			-3			NA		NA		NA									[0,1,14]=1		NA
17		Clear rect IDs				148			NA		1				-3			E			[ID74=Yes]			W/L				W/L				1				O			21			NA			68			NA		NA		NA									NA		NA

#2.3 Define the Setting Signals                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     
[SETTING_SIGNAL_NUM]                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                
19

[SETTING_SIGNAL_INFO]
#SID	SigName						SigNameResID	SigUnit		IdxOfSamplerList	SamplerChannelID	SigValueType	DefaultValue	ValueRange					ValueDisplayAttribute	ValueSettingAttribute	SettableExpression				Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression		Persistence Falg	On Control Action	Disp Exp
#1		Rated Voltage				18		V		1			54			F		53.5		40/60						W/L			NA			NA						E			18			.1			10			0.1		NA				1			NA			NA
3		High Voltage limit			20		V		1			-3			F		59		56/59						W/L			W/L			([0,1,2]<=[0,2,3]-0.5)&([2,2,17]<[0,2,3]-0.5)	E			3			.1			54			0.1		NA				1			NA			[1,2,224]==0
103		High Voltage limit(24V)			110		V		1			-3			F		29.5		28/29.7						W/L			W/L			([0,1,12]<=[0,2,103]-0.3)&([2,2,117]<[0,2,103]-0.3)	E		4			.1			54			0.1		NA				1			NA			[1,2,224]==1
6		Over-volt restart time			24		s		1			NA			U		300		50/300						W/L			W/L			NA						E			7			NA			55			1		NA				1			NA			NA
30		Restart on Over Voltage Enabled		100		NA		1			NA			E		1		[ID54=disabled]/[ID55=enabled]			W/L			W/L			NA						E			6			NA			62			NA		NA				1			NA			NA
31		Sequence Start Interval			101		s		1			NA			U		0		0/10						W/L			W/L			NA						E			8			NA			58			1		NA				1			NA			NA
8		WALK-In enabled				26		NA		1			NA			E		0		[ID54=disabled]/[ID55=enabled]			W/L			W/L			NA						E			9			NA			57			NA		NA				1			NA			NA
7		Walk-in Time				25		s		1			NA			U		60		60/90						W/L			W/L			NA						E			10			NA			56			1		NA				1			NA			[0,2,8]==1
18		Rect Number on last power-on		81		NA		-1			-3			U		0		0/101						NA			W/L			NA						E			13			NA			-3			1		NA				1			NA			NA
19		Rectifier Reset When AC Over-voltage	72		NA		1			NA			E		0		[ID74=Yes]/[ID73=No]				W/L			W/L			NA						E			14			NA			59			NA		NA				1			NA			NA
21		Confirm rectifier Postion(Internal Use)	86		NA		-1			-3			E		0		[ID73=No]/[ID74=Yes]				NA			NA			NA						E			16			NA			-3			1		NA				1			NA			NA
22		Redundancy enabled(Energy Saving CHN)	68		NA		-1			-3			E		0		[ID54=disable]/[ID55=enable]			W/L			W/L			NA						E			21			NA			-3			NA		NA				1			NA			[1,0,23]==0
29		Best Rectifier Efficiency		88		%		-1			-3			U		80		30/90						W/L			W/L			NA						E			22			NA			-3			1		NA				1			NA			[0,2,22]==1&[1,0,23]==0
35		Load Fluctuation Range			90		%		-1			-3			U		10		1/50						W/L			W/L			NA						E			23			NA			-3			1		NA				1			NA			[0,2,22]==1&[1,0,23]==0
36		System Energy Saving Point		91		%		-1			-3			U		45		10/90						W/L			W/L			NA						E			24			NA			-3			1		NA				1			NA			[0,2,22]==1&[1,0,23]==0
23		Cycle Period				30		h		-1			-3			U		168		1/8760						W/L			W/L			NA						E			25			NA			-3			1		NA				1			NA			[0,2,22]==1&[1,0,23]==0
39		All Rect 'ON' Time			117		min		-1			-3			U		120		0/255						W/L			W/L			NA						O			27			NA			-3			1		NA				1			NA			[0,2,22]==1&[1,0,23]==0
26		Switch Off Delay			29		min		-1			-3			U		5		1/60						W/L			W/L			NA						E			30			NA			-3			1		NA				1			NA			[0,2,22]==1&[1,0,23]==0
33		Input current limit			96		A		1			-3			F		30		1/50						W/L			W/L			NA						E			31			.1			65			0.1		NA				1			NA			NA
37		Rect Info Change(M/S Internal Use)	113		NA		-1			-3			U		0		0/1						NA			NA			NA						E			32			NA			-3			1		NA				0			NA			NA
38		MixHE Power				114		NA		1			-3			E		0		[ID115=Derate]/[ID116=Non-derate]		W/L			W/L			NA						E			33			NA			64			1		NA				1			NA			NA
41		HVSD Enabled				120		NA		-1			-3			E		0		[ID54=disable]/[ID55=enable]			W/L			W/L			NA						O			41			NA			-3			NA		NA				1			NA			NA
42		Volt Diff for HVSD			121		V		-1			-3			F		1.5		0.5/15						NA			W/L			NA						O			42			.1			-3			0.1		NA				1			NA			[0,2,41]==1&[1,2,224]==0
43		Diesel Power Limit Enable		123		NA		-1			-3			E		0		[ID54=disabled]/[ID55=enabled]			W/L			W/L			NA						O			38			NA			-3			NA		NA				1			NA			NA
44		Diesel DI Input				124		NA		-1			-3			E		0		[ID126=None]/[ID127=DI 1]/[ID128=DI 2]/[ID129=DI 3]/[ID130=DI 4]/[ID131=DI 5]/[ID132=DI 6]/[ID133=DI 7]/[ID134=DI 8]					W/L				W/L				NA			O			39			NA			-3			1		NA				1			NA			NA
45		Diesel Power Limit Point Set		125		%		-1			-3			F		40		40/100						W/L			W/L			NA						O			40			.1			-3			1		NA				1			NA			NA
46		System Current Limit Point		135		A		-1			-3			F		12000		1/12000						W/L			W/L			NA						E			44			.0			-3			1		NA				1			NA			[0,2,47]==1
47		System Current Limit Enable		136		NA		-1			-3			E		0		[ID54=disabled]/[ID55=enabled]			W/L			W/L			NA						O			43			NA			-3			NA		NA				1			NA			[0,2,22]==0
48		Default Current Limit Point		138		%		-1			-3			F		121		10/121						NA			NA			NA						E			44			.0			-3			1		NA				1			NA			[0,2,47]==1
49		Default Current Limit Point(Interl use)		138	A		-1			-3			F		121		1/121						NA			NA			NA						E			44			.0			-3			1		NA				1			NA			NA
50		Rect Number on last power-on(Interl use)	81	NA		-1			-3			U		0		0/101						NA			NA			NA						E			13			NA			-3			1		NA				1			NA			NA
51		AC Power Limit Mode			140		NA		1			-3			E		0		[ID141=A]/[ID142=B]				NA			NA			NA						E			33			NA			67			1		NA				1			NA			NA
52		Volt Diff for HVSD(24V)			149		V		-1			-3			F		0.8		0.3/7.5						NA			W/L			NA						O			42			.1			-3			0.1		NA				1			NA			[0,2,41]==1&[1,2,224]==1
#changed by Frank Wu,1/28,20140217, for upgrading software of rectifier 
54		Normal Update 			150		NA		-1			-3			E		0		[ID73=No]/[ID74=Yes]				W/L			W/L			[0,2,55]==0						E			33			NA			-3			1		NA				0			NA			NA
55		Force Update			151		NA		-1			-3			E		0		[ID73=No]/[ID74=Yes]				W/L			W/L			[0,2,54]==0						E			33			NA			-3			1		NA				0			NA			NA
56		Delay of Low Rectifier Capacity		161		min		-1			-3			U		0		0/120						W/L			W/L			NA						E			34			NA			-3			1		NA				1			NA			NA
57		Maximum Redundacy 					162		%		-1			-3			U		50		0/100						W/L			W/L			NA						E			34			NA			-3			1		NA				1			NA			NA


58		Low Rectifier Capacity(Internal use)		163			NA		-1			-3			E		0		[ID36=Normal]/[ID37=Failure]				NA			NA			NA					E			35			NA			-3			1		NA				0			NA			NA
59		High Rectifier Capacity(Internal use)		164			NA		-1			-3			E		0		[ID36=Normal]/[ID37=Failure]				NA			NA			NA					E			35			NA			-3			1		NA				0			NA			NA
60		Efficiency Tracker			165		NA		-1			-3			E		1		[ID54=disable]/[ID55=enable]			W/L			W/L			NA						O			45			NA			-3			NA			NA				1			NA			NA
61		Benchmark Rectifier			166		NA		-1			-3			E		0		[ID167=R48-3500e3]/[ID168=R48-3200]/[ID169=96%]/[ID170=95%]/[ID171=94%]/[ID172=93%]/[ID173=92%]/[ID174=91%]/[ID175=90%]					W/L				W/L				NA			O			45			NA			-3			1		NA				1			NA			[0,2,64]==9
62		Cost per kWh				176		NA		-1			-3			F		0.15	0/10						W/L			W/L			NA			O			45			.2			-3			0.01		NA				1			NA			NA
63		Currency					177		NA		-1			-3			E		0		[ID178=USD]/[ID179=CNY]/[ID180=EUR]/[ID181=GBP]/[ID182=RUB]					W/L				W/L				NA			O			45			NA			-3			1		NA				1			NA			NA
64		Percentage 98% Rectifiers	183		NA		-1			-3			E		9		[ID184=10%]/[ID185=20%]/[ID186=30%]/[ID187=40%]/[ID188=50%]/[ID189=60%]/[ID190=70%]/[ID191=80%]/[ID192=90%]/[ID193=100%]						W/L				W/L				NA			O			45			NA			-3			1		NA				1			NA			NA

65		Default Voltage 		200		V		1			-3			F		48		42/58						W/L			W/L			NA								E			45			.1			68			0.1		NA				1			NA			[1,2,224]==0
165		Default Voltage(24V)	200		V		1			-3			F		26.8		21/29						W/L			W/L			NA								E			46			.1			69			0.1		NA				1			NA			[1,2,224]==1


#2.4 Define the Alarm Singals
[ALARM_NUM]
3

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name			Alarm Name Resource ID		Alarm Level	Alarm Expression	Alarm Delay	Suppressing Expression		Relay ID
2		Multi-rectifiers Failure	33				CA		[0,0,10]==1		NA		NA				NA
3		Rectifier lost			83				CA		[0,0,11]==1 & [1,2,446]<2		NA		NA				NA
4		Rectifier redunt Active		107				OA		[0,0,23]==1		NA		NA				NA
5		All Rectifiers No Response	104				MA		[0,0,26]==1 & [1,2,446]<2		NA		[1,3,2]				NA
6		ECO Cycle Alarm				108				OA		[0,0,28]==1		NA		NA				NA
7		Low Rectifier Capacity		163				MA		[0,2,58]==1		NA		NA				NA
8		High Rectifier Capacity		164				MA		[0,2,59]==1		NA		NA				NA
